Description

Submiting a new host

Error shows Failed to set the DHCP record: wrong argument type false (expected Regexp)

Log shows:

D, [2011-05-05T17:15:04.423161 #7790] DEBUG -- : Loading subnets for 127.0.0.1

D, [2011-05-05T17:15:04.423284 #7790] DEBUG -- : Added 10.0.10.0/255.255.255.0 to 127.0.0.1

D, [2011-05-05T17:15:04.424062 #7790] DEBUG -- : Loading subnet data for 10.0.10.0/255.255.255.0

I, [2011-05-05T17:15:04.424264 #7790]  INFO -- : Enumerated hosts on 10.0.10.0

D, [2011-05-05T17:15:04.424321 #7790] DEBUG -- : Lazy loaded 10.0.10.0/255.255.255.0 records

E, [2011-05-05T17:15:04.425720 #7790] ERROR -- : wrong argument type false (expected Regexp)

D, [2011-05-05T17:15:04.432589 #7790] DEBUG -- : nsupdate: started - /etc/foreman-proxy/foreman.key

D, [2011-05-05T17:15:04.432676 #7790] DEBUG -- : nsupdate: executed command - update delete

loadbalancer-01.internal.XXXXX.com A

D, [2011-05-05T17:15:04.509538 #7790] DEBUG -- : nsupdate: started - /etc/foreman-proxy/foreman.key

D, [2011-05-05T17:15:04.509630 #7790] DEBUG -- : nsupdate: executed command - update delete 2.10.0.10.in-addr.arpa PTR

Associated revisions

Revision a1226adb - 05/06/2011 02:53 PM - Ohad Levy

fixes #880 - incorrect parsing of key settings causes wrong argument type

History

#1 - 05/06/2011 01:44 PM - Ohad Levy

what happens if you simply open a browser and point to http://yourproxy:port/dhcp ?

can you attach your dhcp conf and lease files?

#2 - 05/06/2011 01:47 PM - Ohad Levy

To get the full trace error, simply comment the following two lines: (https://github.com/ohadlevy/smart-proxy/blob/develop/lib/dhcp_api.rb#L48)

rescue => e

  log_halt 400, e.to_s

#3 - 05/06/2011 02:57 PM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset a1226adbbc685d012c40cbabfe4dcd968d297923.

#4 - 05/08/2011 05:48 AM - Ohad Levy

- Status changed from Ready For Testing to Closed
http://yourproxy:port/dhcp
https://github.com/ohadlevy/smart-proxy/blob/develop/lib/dhcp_api.rb#L48
https://projects.theforeman.org/projects/smart-proxy/repository/7/revisions/a1226adbbc685d012c40cbabfe4dcd968d297923


- Assignee set to Ohad Levy
